Bug 131305 - Documentation for insert and edit comment shortcut
Summary: Documentation for insert and edit comment shortcut
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://help.libreoffice.org/7.0/en-U...
Whiteboard: target:7.1.0 target:7.3.0
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2020-03-12 10:17 UTC by Timur
Modified: 2021-11-18 14:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-03-12 10:17:30 UTC
1. Help for Insert Comment is shared as https://help.libreoffice.org/7.0/en-US/text/shared/01/04050000.html and it's given with F1.
After https://git.libreoffice.org/core/commit/02cac3ee70760234db0fad44cb9095dfccc538a1 in bug 95854, help should be updated to note that the same shortcut Ctrl+Alt+C works also to edit comment. 

2. Shortcut Ctrl+Alt+C may not work in Windows on some systems (there were multiple bugs on that). 
That should be noted on the same help page. 

3. F1 on Sheet > Cell Comments > Edit Comment opens just main Help page https://help.libreoffice.org/7.0/en-US/text/scalc/main0000.html .
Here it should be pointed what to open (and it may be another bug).
It can be https://help.libreoffice.org/7.0/en-US/text/scalc/guide/note_insert.html but it also needs to be updated with menu and shortcut. 

4. There are other comment options from bug 107143, bug 84837, bug 107144 that should be added to previous Calc comment page. 
Also a limitation from bug 106609.
Comment 1 Xisco Faulí 2020-05-13 12:00:23 UTC
Movint to NEW
Comment 2 Buovjaga 2020-10-05 07:17:15 UTC
Timur: there is now a patch for your point 1: https://gerrit.libreoffice.org/c/help/+/103807
Do you think it's fine? I mentored its creation. I wanted to keep it simple.

Regarding point 2, I think it is a bit problematic to refer to bugs in the Help. Do we do that elsewhere? I think it is easy to forget to update the Help after a fix etc.
Comment 3 Timur 2020-10-05 07:51:58 UTC
How can I see what changed? 1. is a simple change. 
For 2., no need to point to specific bugs, just to say that it may or may not work, depending on specific configuration and locales in Windows on some systems.
What about 3. is it a new bug? 
And 4.
Comment 4 Buovjaga 2020-10-05 09:59:21 UTC
(In reply to Timur from comment #3)
> How can I see what changed?

Either click the empty space in the row with source/text/shared/01/04050000.xhp (inline view) or click the file link directly (opens in a new view)
Comment 5 Timur 2020-10-05 10:18:14 UTC
1. is a simple change and looks OK. 
Please comment for other changes.
Comment 6 Buovjaga 2020-10-05 10:22:11 UTC
(In reply to Timur from comment #5)
> 1. is a simple change and looks OK. 
> Please comment for other changes.

2. I don't want to see it

3. No comment

4. Can be done in a follow-up patch by someone
Comment 7 Commit Notification 2020-10-05 10:28:30 UTC
gar Soul committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/6914af99712df300b99ae3a9e64986935e4fd5e5

tdf#131305 Add note about shortcut for editing a comment
Comment 8 Timur 2021-05-07 07:27:57 UTC
(In reply to Timur from comment #0)

> 3. F1 on Sheet > Cell Comments > Edit Comment opens just main Help page
> https://help.libreoffice.org/7.0/en-US/text/scalc/main0000.html .
> Here it should be pointed what to open (and it may be another bug).
> It can be
> https://help.libreoffice.org/7.0/en-US/text/scalc/guide/note_insert.html but
> it also needs to be updated with menu and shortcut. 

It opens error page https://help.libreoffice.org/7.2/en-US/text/shared/05/err_html.html?System=WIN&DbPAR=CALC&HID=.uno:EditAnnotation


> 4. There are other comment options from bug 107143, bug 84837, bug 107144
> that should be added to previous Calc comment page. 
> Also a limitation from bug 106609.

I guess https://help.libreoffice.org/7.0/en-US/text/scalc/guide/note_insert.html should be somewhat extended for Calc.
I will not open a new one myself.
Comment 9 Commit Notification 2021-09-19 12:54:42 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/1b469faa018e34d110b016817a053fd3e6270ce0

tdf#131305 Add bookmark for .uno:EditAnnotation